# nmake /f os2_bsf4rexx.mak [all | clean | rebuild]
#
# This Makefile originates from John Small who has helped build the
# DLL for OS/2 Warp machines in May 2001; kudos to John Small !
#
# Created by IBM WorkFrame/2 MakeMake at 9:42:36 on 25 May 2001
#
# The actions included in this make file are:
#
# Now that Java is dynamically loaded no explicit linking with
# "javai.dll" or "jvm.dll" necessary anymore (---rgf, 2003-08-15)


# DEFS_RGF = /DUSE_OREXX
DEFS_RGF = /DIBMVACPP

# .SUFFIXES: .cc .obj

all : .\bsf4rexx-os2.map .\BSF4Rexx-os2.dll

# how to get from "cc" to "obj"
# .cc.obj :
.\BSF4Rexx-os2.obj : BSF4Rexx.cc
    @echo " Compile::C++ Compiler .cc.obj"
#    icc.exe /O+ /Tdp -DOS2 $(DEFS_RGF)/Sa /Q /Gm /Ge- /Ms /C %s

# folgendes funktioniert
    icc.exe /O+ /Tdp -DOS2 $(DEFS_RGF) /Sa /Q /Gm /Ge- /Ms /C /FoBSF4Rexx-os2.obj BSF4Rexx.cc



.\bsf4rexx-os2.map .\BSF4Rexx-os2.dll : .\BSF4Rexx-os2.obj {$(LIB)}REXX.LIB {$(LIB)}BSF4RexxOS2.def
    @echo " Link::Linker "
    icc.exe @<<
     /Q /B"/noe /m "
     /FeBSF4Rexx-os2.dll
     /Fm"bsf4rexx-os2.map"
     REXX.LIB
     BSF4RexxOS2.def
     .\BSF4Rexx-os2.obj
<<



.\BSF4Rexx-os2.obj: .\BSF4Rexx.cc

# .\BSF4Rexx-os2.obj: .\BSF4Rexx.cc {.\BSF4Rexx-os2;$(INCLUDE);}org_apache_bsf_engines_rexx_RexxAndJava.h
#.\BSF4Rexx-os2.obj: .\BSF4Rexx.cc {.\BSF4Rexx-os2;$(INCLUDE);}com_ibm_bsf_engines_rexx_RexxAndJava.h

# removes the intermediary files, causes "all" in turn to re-create the dll from scratch
clean :
   - del BSF4Rexx-os2.map
   - del BSF4Rexx-os2.obj


# first "clean", then cause "all" to create the dll from scratch
rebuild : clean all


# create an .i-file
i :
    icc.exe /O+ /Tdp -DOS2 $(DEFS_RGF) /Sa /Q /Gm /Ge- /Ms /C /P BSF4Rexx.cc




